/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _hipoint_H_
#define _hipoint_H_
#define hipoint_REC_LEN 127


struct hipoint
{ 
	INT	JP1;
	INT	JP2;
	INT	JP3;
	INT	JP4;
	INT	JP5;
	INT	JP6;
	INT	JP7;
	INT	JP8;
	INT	JP9;
	INT	JP10;
	INT	JP11;
	INT	JP12;
	INT	JP13;
	INT	JP14;
	INT	JP15;
	INT	JP16;
	INT	JP17;
	INT	JP18;
	INT	JP19;
	INT	JP20;
	INT	JP21;
	INT	JP22;
	INT	JP23;
	INT	JP24;
	INT	JP25;
	INT	JP26;
	INT	JP27;
}; /* End Struct */

typedef struct hipoint hipoint ;


int print_hipoint (hipoint* entry, int decode) ;
int print_hipoint_cols (hipoint* entry, int decode) ;
int print_hipoint_header () ;
FILE* jump_hipoint (long recNum) ; 
 
int read_hipoint (FILE* fp,hipoint* entry) ; 
#endif /* _hipoint_H_ */
