/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _idx_hip_dm_H_
#define _idx_hip_dm_H_
#define idx_hip_dm_REC_LEN 16


struct idx_hip_dm
{ 
	INT	hdm_idx1;
	CHAR	hdm_idx2[2];
	INT	hdm_idx3;
}; /* End Struct */

typedef struct idx_hip_dm idx_hip_dm ;


#define idx_hip_dm_entries    17917 

idx_hip_dm* find_idx_hip_dm (INT* key); 
int load_idx_hip_dm (char* ifile, idx_hip_dm* index) ;
int getnext_idx_hip_dm (FILE* fp, idx_hip_dm* entry); 
#endif /* _idx_hip_dm_H_ */
