/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _tyc_ep_H_
#define _tyc_ep_H_
#define tyc_ep_REC_LEN 86

#include "itycep.h" 
#include "tyctrans.h" 

struct tyc_ep
{ 
	INT	TH1;
	INT	TH2;
	INT	TH3;
	INT	TH4;
	INT	TH5;
	FLOAT	TH6;
	FLOAT	TH7;
	FLOAT	TH8;
	FLOAT	TH9;
	INT	TH10;
	FLOAT	TH11;
	FLOAT	TH12;
	FLOAT	TH13;
	FLOAT	TH14;
	BITS	TH15;
	BITS	TH16;
	array_tyctrans	TRANSITS;
}; /* End Struct */

typedef struct tyc_ep tyc_ep ;


int print_tyc_ep (tyc_ep* entry, int decode) ;
int print_tyc_ep_cols (tyc_ep* entry, int decode) ;
int print_tyc_ep_header () ;
FILE* jump_tyc_ep (long recNum) ; 
 
int read_tyc_ep (FILE* fp,tyc_ep* entry) ; 
FILE* search_tyc_ep (tyc_id* key, tyc_ep* arecord) ;
#endif /* _tyc_ep_H_ */
