/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _tyc_id_H_
#define _tyc_id_H_
#define tyc_id_REC_LEN 13


struct tyc_id
{ 
	INT	tyc1;
	INT	tyc2;
	INT	tyc3;
}; /* End Struct */

typedef struct tyc_id tyc_id ;


int print_tyc_id (tyc_id* entry, int decode) ;
int print_tyc_id_cols (tyc_id* entry, int decode) ;
int print_tyc_id_header () ;
FILE* jump_tyc_id (long recNum) ; 
 
bool getIfTycId(char *field,tyc_id *entry);
int read_tyc_id (char* field,tyc_id* entry) ; 
#endif /* _tyc_id_H_ */
